## GvaCellRendererPixbuf GvaCellRendererPixbuf — A clickable GtkCellRendererPixbuf |

## Synopsis

    struct              GvaCellRendererPixbuf;
    GtkCellRenderer *   gva_cell_renderer_pixbuf_new        (void);
    gboolean            gva_cell_renderer_pixbuf_get_active (GvaCellRendererPixbuf *cell);
    void                gva_cell_renderer_pixbuf_set_active (GvaCellRendererPixbuf *cell,
                                                             gboolean active);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkCellRenderer
                   +----GtkCellRendererPixbuf
                         +----GvaCellRendererPixbuf

## Properties

      "active"                   gboolean              : Read / Write

## Signals

      "clicked"                                        : Run Last

## Description

This is a clickable GtkCellRendererPixbuf subclass. It implements the `activate` method to emit a "clicked" signal when the cell is activated.

## Details

### struct GvaCellRendererPixbuf

    struct GvaCellRendererPixbuf;

Contains only private data that should be read and manipulated using the functions below.

### gva_cell_renderer_pixbuf_new ()

    GtkCellRenderer *   gva_cell_renderer_pixbuf_new        (void);

Creates a new GvaCellRendererPixbuf object.

Returns : | a new GvaCellRendererPixbuf

### gva_cell_renderer_pixbuf_get_active ()

    gboolean            gva_cell_renderer_pixbuf_get_active (GvaCellRendererPixbuf *cell);

Returns whether `cell` should be drawn as active.

`cell` : | a GvaCellRendererPixbuf
Returns : | whether to draw the pixbuf as active

### gva_cell_renderer_pixbuf_set_active ()

    void                gva_cell_renderer_pixbuf_set_active (GvaCellRendererPixbuf *cell,
                                                             gboolean active);

Sets whether `cell` should be drawn as active.

`cell` : | a GvaCellRendererPixbuf
`active` : | whether to draw the pixbuf as active

## Property Details

### The `"active"` property

      "active"                   gboolean              : Read / Write

Whether to draw the pixbuf as active.

Default value: FALSE

## Signal Details

### The `"clicked"` signal

    void                user_function                      (GvaCellRendererPixbuf *renderer,
                                                            GtkTreePath           *tree_path,
                                                            gpointer               user_data)      : Run Last

The ::clicked signal is emitted when the cell is activated.

`renderer` : | the GvaCellRendererPixbuf that received the signal
`tree_path` : | the GtkTreePath to the row containing the activated pixbuf
`user_data` : | user data set when the signal handler was connected.